import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class DataService {

  constructor(private http: HttpClient) { }

  getBooks() : Observable<Book[]> {
    return this.http.get<Book[]>("/books")
  }

  getBook(id: number): Observable<Book> {
    return this.http.get<Book>(`/books/${id}`)
  }

  deleteBook(id: number): Observable<any> {
    return this.http.delete(`/books/${id}`)
  }

  addBook(book: Book): Observable<any> {
    return this.http.post(`/books`, book)
  }

  saveBook(book: Book): Observable<any> {
    return this.http.put(`/books/${book.id}`, book)
  }

}

export class Book {
  id: number
  isbn: string
  title: string
  price: number
}
